curl --request POST \
--url https://api.tryhamsa.com/v1/voice-agents/web-tool/test-api-tool \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "d949f13f-40d2-4e48-ac86-b66633070603",
"serverUrl": "https://api.example.com/endpoint",
"method": "POST",
"apiKey": "d949f13f-40d2-4e48-ac86-b66633070603",
"userId": "d949f13f-40d2-4e48-ac86-b66633070603",
"authPrefix": "Bearer",
"authToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"timeout": 5,
"httpHeaders": {
"Content-Type": "application/json",
"X-Custom-Header": "value"
},
"queryParams": {
"filter": "active",
"limit": "10"
},
"body": {
"name": "Test",
"value": 123
}
}
'import requests
url = "https://api.tryhamsa.com/v1/voice-agents/web-tool/test-api-tool"
payload = {
"projectId": "d949f13f-40d2-4e48-ac86-b66633070603",
"serverUrl": "https://api.example.com/endpoint",
"method": "POST",
"apiKey": "d949f13f-40d2-4e48-ac86-b66633070603",
"userId": "d949f13f-40d2-4e48-ac86-b66633070603",
"authPrefix": "Bearer",
"authToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"timeout": 5,
"httpHeaders": {
"Content-Type": "application/json",
"X-Custom-Header": "value"
},
"queryParams": {
"filter": "active",
"limit": "10"
},
"body": {
"name": "Test",
"value": 123
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 'd949f13f-40d2-4e48-ac86-b66633070603',
serverUrl: 'https://api.example.com/endpoint',
method: 'POST',
apiKey: 'd949f13f-40d2-4e48-ac86-b66633070603',
userId: 'd949f13f-40d2-4e48-ac86-b66633070603',
authPrefix: 'Bearer',
authToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...',
timeout: 5,
httpHeaders: {'Content-Type': 'application/json', 'X-Custom-Header': 'value'},
queryParams: {filter: 'active', limit: '10'},
body: JSON.stringify({name: 'Test', value: 123})
})
};
fetch('https://api.tryhamsa.com/v1/voice-agents/web-tool/test-api-tool', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": "attempt",
"data": {
"message": "Starting API test..."
}
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Test API Tool Configuration
Validates API connectivity with retry logic and streams real-time test results via Server-Sent Events.
Authorizations
Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '
Body
UUID of the project.
"d949f13f-40d2-4e48-ac86-b66633070603"
The API endpoint URL to test. Must be a valid external URL.
"https://api.example.com/endpoint"
HTTP method to use for the API call.
GET, POST, PUT, PATCH, DELETE "POST"
API key UUID (optional).
"d949f13f-40d2-4e48-ac86-b66633070603"
UUID of the user (optional).
"d949f13f-40d2-4e48-ac86-b66633070603"
Authorization header prefix (e.g., 'Bearer', 'Basic').
"Bearer"
Authentication token to include in the request.
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
Request timeout in seconds (1-15 seconds).
1 <= x <= 155
Custom HTTP headers to include in the request.
Show child attributes
Show child attributes
{
"Content-Type": "application/json",
"X-Custom-Header": "value"
}
Query parameters to append to the URL.
Show child attributes
Show child attributes
{ "filter": "active", "limit": "10" }
Request body (max 10MB). Can be string, number, boolean, object, array, or null.
{ "name": "Test", "value": 123 }
Response
Server-Sent Events stream with test results
Was this page helpful?